Update recording settings for an app.
curl --request PATCH \
--url https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings/recording \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urlToRetrieveAuthedRecording": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings/recording"
payload = { "urlToRetrieveAuthedRecording": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urlToRetrieveAuthedRecording: '<string>'})
};
fetch('https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings/recording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"urlToRetrieveAuthedRecording": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Recording Settings
Update recording settings for an app.
Update the recording settings for a specific app using the provided app ID.
PATCH
/
crm
/
v3
/
extensions
/
calling
/
{appId}
/
settings
/
recording
Update recording settings for an app.
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier for the app whose recording settings are being updated.
Body
application/json
The URL used to access authenticated call recordings.
Response
successful operation
The URL used to retrieve authenticated call recordings.
Last modified on March 30, 2026
Was this page helpful?
⌘I